ormolu-0.8.0.0: A formatter for Haskell source code

Safe Haskell | None
Language | GHC2021

Ormolu.Processing.Cpp

Description

Support for CPP.

Synopsis

- cppLines :: Text -> IntSet
- eraseCppLines :: Text -> Text

# Documentation

cppLines :: Text -> IntSet Source #

Return an `IntSet` containing all lines which are affected by CPP.

eraseCppLines :: Text -> Text Source #

Replace all lines affected by CPP with blank lines.